%define upstream_name    Pod-Loom
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Do-nothing template for Pod::Loom
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(PPI)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(String::RewritePrefix)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Pod::Loom extracts all the POD sections from Perl code, passes the POD to a
template that may reformat it in various ways, and then returns a copy of
the code with the reformatted POD at the end.

A template may convert non-standard POD commands like '=method' and '=attr'
into standard POD, reorder sections, and generally do whatever it likes to
the POD.

The document being reformatted can specify the template to use with a line
like this:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.80.0-9.mga9
+ Revision: 1817339
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-8.mga8
+ Revision: 1496727
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-7.mga7
+ Revision: 1270559
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-6.mga6
+ Revision: 1032316
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-5.mga6
+ Revision: 949218
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 789275
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 750506
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 686009
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 608395
- update to 0.08

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-2.mga4
+ Revision: 527216
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.60.0-1.mga4
+ Revision: 439783
- update to 0.06

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 27 2011 takashi <takashi> 0.50.0-1.mga2
+ Revision: 158529
- update to 0.05

* Sun Jan 23 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 34157
- mageia rebuild
- imported package perl-Pod-Loom

